corda / net.corda.node.services / RPCUserService

# RPCUserService

`interface RPCUserService`

Service for retrieving User objects representing RPC users who are authorised to use the RPC system. A User contains their login username and password along with a set of permissions for RPC services they are allowed access to. These permissions are represented as Strings to allow RPC implementations to add their own permissioning.

### Properties

users | `abstract val users: List<User>`

### Functions

getUser | `abstract fun getUser(username: String): User?`

### Inheritors

RPCUserServiceImpl | `class RPCUserServiceImpl : RPCUserService`